use serde::{Serialize, Deserialize};

#[derive(Debug, Serialize, Deserialize, Clone)]
pub struct User {
    pub id: i64,
    pub login: String,
    pub full_name: String
}

#[derive(Debug, Serialize, Deserialize, Clone)]
pub struct Repo {
    pub id: i64,
    pub owner: User,
    pub name: String,
    pub full_name: String,
    pub private: bool,
    pub archived: bool,
    pub has_pull_requests: bool,
    pub has_issues: bool
}

#[derive(Debug, Serialize, Deserialize, Clone)]
pub struct Branch {
    pub label: String,
    pub sha: String,
    pub repo_id: i64,
    pub repo: Repo
}

#[derive(Debug, Serialize, Deserialize, Clone)]
pub struct Pull {
    pub id: i64,
    pub url: String,
    pub number: i64,
    pub title: String,
    pub body: String,
    pub state: String,
    pub mergeable: bool,
    pub base: Branch,
    pub head: Branch,
    pub merge_base: String,
    pub user: User
}